// VCDlg.h : header file
//
//{{AFX_INCLUDES()
#include "da3viewercontrol.h"
//}}AFX_INCLUDES

#include "dastatics.h"
#include "daimage.h"
#include "dacolor.h"
#include "dalinestyle.h"
#include "dapath2.h"
#include "datransform2.h"

#if !defined(AFX_VCDLG_H__9FAB3F0E_B625_487C_889C_0BF28483221F__INCLUDED_)
#define AFX_VCDLG_H__9FAB3F0E_B625_487C_889C_0BF28483221F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVCDlg dialog

class CVCDlg : public CDialog
{
// Construction
public:
	CVCDlg(CWnd* pParent = NULL);	// standard constructor
	CDAStatics mDAStatics;
	CDAImage mCDAImage;
	CDAImage mOvalImage;
	CDAImage mFinalImage;
    CDATransform2 mTransform;
	CDAColor mCDAColor;
	CDALineStyle mDALineStyle;
// Dialog Data
	//{{AFX_DATA(CVCDlg)
	enum { IDD = IDD_VC_DIALOG };
	CDA3ViewerControl	m_DirectControl;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCDLG_H__9FAB3F0E_B625_487C_889C_0BF28483221F__INCLUDED_)
